package com.qmth.themis.business.dto.response;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 科目dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/8/19
 */
public class TEExamCourseDto implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "id")
    private Long id;//id

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(name = "考试批次id")
    private Long examId;//考试id

    @ApiModelProperty(name = "科目代码")
    private String courseCode;//科目代码

    @ApiModelProperty(name = "科目名称")
    private String courseName;//科目名称

    @ApiModelProperty(name = "是否开启客观题乱序，0：不开启，1：开启")
    private Integer objectiveShuffle;//是否开启客观题乱序，0：不开启，1：开启

    @ApiModelProperty(name = "是否选项乱序，针对一个科目进行设置，0：不开启，1：开启")
    private Integer optionShuffle;//是否选项乱序，针对一个科目进行设置，0：不开启，1：开启

    @ApiModelProperty(name = "已绑定试卷数量")
    private Integer paperCount;//已绑定试卷数量

    @ApiModelProperty(name = "是否已补齐标答，0：否，1：是")
    private Integer hasAnswer;//是否已补齐标答，0：否，1：是

    @ApiModelProperty(name = "音频播放次数")
    private Integer audioPlayCount;//音频播放次数

    @ApiModelProperty(name = "题干包含音频，0：不包含，1：包含")
    private Integer hasAudio;//题干包含音频，0：不包含，1：包含

    @ApiModelProperty(name = "是否绑定试卷，0：没绑定，1：绑定")
    private Integer hasPaper;//是否绑定试卷，0：没绑定，1：绑定

    @ApiModelProperty(name = "更新时间")
    private Long updateTime;//更新时间

    @ApiModelProperty(name = "更新人")
    private String updateName;//更新人

    @ApiModelProperty(value = "是否允许使用移动端拍照答题，0：不开启，1：开启")
    private Integer mobilePhotoUpload = 0;

    public Integer getMobilePhotoUpload() {
        return mobilePhotoUpload;
    }

    public void setMobilePhotoUpload(Integer mobilePhotoUpload) {
        this.mobilePhotoUpload = mobilePhotoUpload;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Long updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getObjectiveShuffle() {
        return objectiveShuffle;
    }

    public void setObjectiveShuffle(Integer objectiveShuffle) {
        this.objectiveShuffle = objectiveShuffle;
    }

    public Integer getOptionShuffle() {
        return optionShuffle;
    }

    public void setOptionShuffle(Integer optionShuffle) {
        this.optionShuffle = optionShuffle;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

    public Integer getHasAnswer() {
        return hasAnswer;
    }

    public void setHasAnswer(Integer hasAnswer) {
        this.hasAnswer = hasAnswer;
    }

    public Integer getAudioPlayCount() {
        return audioPlayCount;
    }

    public void setAudioPlayCount(Integer audioPlayCount) {
        this.audioPlayCount = audioPlayCount;
    }

    public Integer getHasAudio() {
        return hasAudio;
    }

    public void setHasAudio(Integer hasAudio) {
        this.hasAudio = hasAudio;
    }

    public Integer getHasPaper() {
        return hasPaper;
    }

    public void setHasPaper(Integer hasPaper) {
        this.hasPaper = hasPaper;
    }
}
